## ros-dashing-h264-video-encoder 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(h264_video_encoder)

## Compile as C++14
set(CMAKE_CXX_STANDARD 14)


find_package(h264_encoder_core REQUIRED)
find_package(aws_common REQUIRED)
find_package(aws_ros2_common REQUIRED)
find_package(image_transport REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(kinesis_video_msgs REQUIRED)
find_package(ament_cmake_gtest REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(rmw_implementation REQUIRED)


#############
## Compile ##
#############

set(h264_video_encoder_SRCS
  src/h264_video_encoder.cpp
)
set(h264_video_encoder_INCS
  include
  ${h264_encoder_core_INCLUDE_DIRS}
  ${aws_common_INCLUDE_DIRS}
  ${aws_ros2_common_INCLUDE_DIRS}
  ${kinesis_video_msgs_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${ament_cmake_INCLUDE_DIRS}
  ${rmw_implementation_INCLUDE_DIRS}
  ${image_transport_INCLUDE_DIRS}
)
set(h264_video_encoder_LIBS
  ${h264_encoder_core_LIBRARIES}
  ${kinesis_video_msgs_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${ament_cmake_LIBRARIES}
  ${aws_ros2_common_LIBRARIES}
  ${rmw_implementation_LIBRARIES}
  ${aws_common_LIBRARIES}
  ${image_transport_LIBRARIES}
)

# add the publisher example
add_executable(${PROJECT_NAME} src/main.cpp ${h264_video_encoder_SRCS})
add_library(${PROJECT_NAME}_lib STATIC ${h264_video_encoder_SRCS})

target_include_directories(${PROJECT_NAME} PRIVATE ${h264_video_encoder_INCS})
target_include_directories(${PROJECT_NAME}_lib PUBLIC ${h264_video_encoder_INCS})

target_link_libraries(${PROJECT_NAME} ${h264_video_encoder_LIBS})
target_link_libraries(${PROJECT_NAME}_lib ${h264_video_encoder_LIBS})

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME} 
  LIBRARY DESTINATION lib/${PROJECT_NAME} 
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})


#############
## Tests ##
#############

## Add gtest based cpp test target and link libraries
ament_add_gtest(test_h264_video_encoder
  test/h264_video_encoder_test.cpp
)
target_include_directories(test_h264_video_encoder
PRIVATE include ${h264_video_encoder_INCS})
target_link_libraries(test_h264_video_encoder
  ${PROJECT_NAME}_lib
  ${h264_video_encoder_LIBS}
  ${GMOCK_BOTH_LIBRARIES}
)
ament_export_dependencies(h264_encoder_core)
ament_export_dependencies(aws_common)
ament_export_dependencies(aws_ros2_common)
ament_export_dependencies(image_transport)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(kinesis_video_msgs)
ament_export_dependencies(ament_cmake_gtest)
ament_export_dependencies(ament_cmake)
ament_export_dependencies(rmw_implementation)


ament_package()

=== debian/changelog ===
ros-dashing-h264-video-encoder (2.0.0-1bionic) bionic; urgency=high

  * Bumping version to 2.0.0 and upgrading package.xml format to 3 (#13 <https://github.com/aws-robotics/kinesisvideo-encoder-ros2/issues/13>)
    * Bumping version to 2.0.0 and upgrading package.xml format to 3
    * Add missing dependencies and tweak description
  * Remove image_transport_plugins, message_generation dependencies (#10 <https://github.com/aws-robotics/kinesisvideo-encoder-ros2/issues/10>)
    * Remove image_transport_plugins dependency
    * Remove dependency on message_generation
  * Use undeclared node parameters
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
  * Remove message_runtime from package.xml
  * Add launch files and parameters (#2 <https://github.com/aws-robotics/kinesisvideo-encoder-ros2/issues/2>)
    * Add launch files and parameters
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Updated passing in param file
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
  * Add kinesis_video_msgs to satisfy build dependency (#4 <https://github.com/aws-robotics/kinesisvideo-encoder-ros2/issues/4>)
    * Add kinesis_video_msgs to satisfy build dependency
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Removing launch dir for build
  * Initial source code migration (#1 <https://github.com/aws-robotics/kinesisvideo-encoder-ros2/issues/1>)
    * Initial source code migration
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Remove unused files, update README
    * Add migrated tests
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Remove unnecessary print statements
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
  * Contributors: AAlon, Ryan Newell, ryanewel

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-h264-video-encoder
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-h264-encoder-core, ros-dashing-image-transport, ros-dashing-kinesis-video-msgs, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/h264_video_encoder
Standards-Version: 3.9.2

Package: ros-dashing-h264-video-encoder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-image-transport, ros-dashing-kinesis-video-msgs, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rmw-implementation, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Description: ROS2 H264 encoder node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-h264-video-encoder//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
